CREATE TABLE grc_persp_treeobj (
    TREE_OBJ_ID              NUMBER(18, 0),
    TREE_ID                  NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    REQUIRED_FLAG            VARCHAR2(4)  ,
    IS_ACTIVE                VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TREE_OBJ_ID              NUMBER(18, 0),
    TREE_ID                  NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    REQUIRED_FLAG            VARCHAR2(4)  ,
    IS_ACTIVE                VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_grc_persp_treeobj PRIMARY KEY (TREE_OBJ_ID, TREE_OBJ_ID)
);
